import {Dialog, NotNull, ObjectRef} from "@webbpm/base-package";

export class DialogLink {
  public textBefore: string = '';
  @NotNull()
  public linkText: string;
  public textAfter: string = '';
  @ObjectRef()
  @NotNull()
  public dialog: Dialog;

  public openDialog() {
    this.dialog.show();
  }
}